Subject: bug#28753: 25.3; Functions to get alist from hash table and vice versa

From: Noam Postavsky <[email-masked]>
Date: Mon, 06 Nov 2017 21:51:56 -0500

Drew Adams <[email-masked]> writes:

>> Did you have any comments for my proposal in #29?
>
> I don't see a complete proposal there.

Correct, I wanted to get comments on the whether the approach was
acceptable before finishing it.

> Your solution is apparently to punt, telling users to
> first create the hash table they need and then call a
> function that injects the alist key+value entries into
> that existing table.

Yes, if they want a hash table with specific parameters.

> I think that's less clear than the function I provided.

I think it has the advantage that the conversion function doesn't have
to know about all the possible parameters involved in hash table
creation.  Therefore the interface is simpler.

> And in particular it does not provide a USE-LAST
> possibility.

No, but I think it could be easily added.

> You would presumably start by defining
> `map--into-existing-hash-table'.  (Why would that function
> be "internal", BTW?)

I meant it as a variant on `map--into-hash-table', so it uses the same
naming convention.